# Relay destination rules for carbon-relay. Entries are scanned in order,
# and the first pattern a metric matches will cause processing to cease after sending
# unless `continue` is set to true
#
#  [name]
#  pattern = <regex>
#  destinations = <list of destination addresses>
#  continue = <boolean>  # default: False
#
#  name: Arbitrary unique name to identify the rule
#  pattern: Regex pattern to match against the metric name
#  destinations: Comma-separated list of destinations.
#    ex: 127.0.0.1:2004:a, 10.1.2.4:2004, myserver.mydomain.com:2004
#  continue: Continue processing rules if this rule matches (default: False)

# You must have exactly one section with 'default = true'
# Note that all destinations listed must also exist in carbon.conf
# in the DESTINATIONS setting in the [relay] section
{% for key, dest in graphite_carbon_relay_destinations.items() %}
[{{ key }}]
{% if 'default' in dest and dest['default'] %}
default = true
{% endif %}
destinations = {{ dest['destinations']|join(', ') }}
{% if 'continue' in dest and dest['continue'] %}
continue = true
{% endif %}

{% endfor %}
